org.apache.cassandra.cache

## Class AutoSavingCache.Writer

- java.lang.Object
- - org.apache.cassandra.db.compaction.CompactionInfo.Holder
  - - org.apache.cassandra.cache.AutoSavingCache.Writer

- Enclosing class:
    AutoSavingCache<K extends CacheKey,V>

      public class AutoSavingCache.Writer
      extends CompactionInfo.Holder

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Writer(int keysToSave)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CacheService.CacheType` | `cacheType()`
    `CompactionInfo` | `getCompactionInfo()`
    `void` | `saveCache()`

    - ### Methods inherited from class org.apache.cassandra.db.compaction.CompactionInfo.Holder

      `isStopRequested, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Writer

          protected Writer(int keysToSave)

  - ### Method Detail

    - #### cacheType

          public CacheService.CacheType cacheType()

    - #### getCompactionInfo

          public CompactionInfo getCompactionInfo()

      Specified by:
        `getCompactionInfo` in class `CompactionInfo.Holder`

    - #### saveCache

          public void saveCache()

Copyright © 2018 The Apache Software Foundation